Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.plugins.announce
[Groovy] Class AnnouncePluginConvention

    java.lang.Object
      org.gradle.api.plugins.announce.AnnouncePluginConvention

    class AnnouncePluginConvention
    extends java.lang.Object

Property Summary
`org.gradle.api.plugins.announce.internal.AnnouncerFactory` | `announcerFactory`
`java.lang.String` | `password` The password to use for announcements.
`Project` | `project`
`java.lang.String` | `username` The username to use for announcements.

Constructor Summary
`AnnouncePluginConvention(java.lang.Object project)`

Method Summary
`void` | `announce(groovy.lang.Closure closure)` Configures the announce plugin convention.
`void` | `announce(java.lang.String msg, java.lang.String type)` Sends an announcement of the given type.

Methods inherited from class java.lang.Object
java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#notify(), java.lang.Object#notifyAll(), java.lang.Object#toString()

Property Detail

### announcerFactory

    org.gradle.api.plugins.announce.internal.AnnouncerFactory announcerFactory

### password

    java.lang.String password

  The password to use for announcements.

### project

    Project project

### username

    java.lang.String username

  The username to use for announcements.

Constructor Detail

### AnnouncePluginConvention

    AnnouncePluginConvention(java.lang.Object project)

Method Detail

### announce

    void announce(groovy.lang.Closure closure)

  Configures the announce plugin convention. The given closure configures the AnnouncePluginConvention.

### announce

    void announce(java.lang.String msg, java.lang.String type)

  Sends an announcement of the given type.
  Parameters:
    `msg` - The content of the announcement
    `type` - The announcement type.

Groovy Documentation